Subject: Re: [PATCH net-2.6] ethtool: Compat handling for struct ethtool_rxnfc

From: Alexander Duyck <[email-masked]>
Date: Thu, 17 Mar 2011 12:50:57 -0700

On 3/17/2011 10:34 AM, Ben Hutchings wrote:
> This structure was accidentally defined such that its layout can
> differ between 32-bit and 64-bit processes.  Add compat structure
> definitions and an ioctl wrapper function.
>
> Signed-off-by: Ben Hutchings<[email-masked]>
> Cc: [email-masked] [2.6.30+]
> ---
> David,
>
> I still haven't received any response on whether the ETHTOOL_GRXCLSRLALL
> wrapping works with a real driver, but perhaps you could test it against
> niu?  I think sparc32 and sparc64 have the same alignment for u64 so
> this wrapper isn't strictly necessary, but it would still be used.  (Or
> we can arrange to disable the conversion when compat_ethtool_rxnfc is
> equivalent to ethtool_rxnfc.)
>
> Ben.

I'll try to pull this into my current development tree and test it while 
working on the next set of RFC patches for ixgbe w/ updated flow 
director.  I probably won't have it done until the middle of next week 
though.

Thanks,

Alex